AllYourBase = {}

AllYourBase.StatusIntros = {
	["Dwarf"] = {
		"Hi-ho, hi-ho, it's off ta work yeh go, Commander!",
		"Here'sh yer bloody report, ah'll be at the Tavern if yeh need anything elsh. <hic>",
		"Yer Garrison's gettin' as run-down as mah aunt's beard is long!"
	},
	["Draenei"] = {
		"Your Garrison is running so smoothly, Commander! Know anything about fixing spaceships?",
		"You know, Commander, I don't remember your Garrison being here the last time I lived on this planet.",
		"Lots left to do, you better hoof it!"
	},
	["Gnome"] = {
		"Gnomish ingenuity is everything, Commander! Now... where did I put that report... oh yes!",
		"Here's what needs work in your Garrison, Commander. Just... please don't make the buildings any taller, it's already hard enough to inspect them as it is.",
		"Your Garrison could use a little pick-me-up! And actually, so could I - there's this potion on the top shelf I have been trying to get..."
	},
	["Human"] = {
		"My liege, your garrison is in need of attention.",
		"Your Garrison reminds me of my home in Stormwind... which may or may not have been built yet. What year are we in anyway? I never should have crossed through the Dark Portal *again.*",
		"Did you know your Garrison is actually named after my great-great-uncle Ralph Garrison?"
	},
	["NightElf"] = {
		"Here's the details of your garrison, Commander. Just don't forget to see the forest for the trees.",
		"Elune be with you, Commander. Your Garrison report:",
		"You may want to get moving on that Garrison of yours, Commander. Not all of us are as immortal as I am, and -- wait, I'm not immortal anymore?! Since when? I need to get life insurance...",
		"Although I strongly protest the idea of anything that can house a Lumber Mill, Commander, duty calls. Here's an update on your Garrison."
	},
	["Worgen"] = {
		"Time for some action, Commander. Chop chop!",
		"Looks like someone could be Worgen harder, Commander! <snicker>",
		"I've been sniffing around, Commander - your Garrison is in need of attention!",
	},
	["BloodElf"] = {
		"I've got an update on your garrison, Commander - although to be honest, my talents are wasted with tasks like this.",
		"Really Commander, you should let me oversee your Garrisons for you. I promise, I'd be so much better at it than you are.",
		"A Garrison update? Now? I was having the most wonderful daydream. It featured me. Well, let's get on with it.",
	},
	["Goblin"] = {
		"Time is money, Commander - and you're not making the best use of your time!",
		"Let's make this quick... organized crime doesn't organize itself, you know!",
		"Garrison update, Commander? Sure thing... I've got an |cFFFF0000explosive|r report right here!"
	},
	["Orc"] = {
		"Lok'tar, Commander! Your Garrison needs attention!",
		"The peons are growing lazy again, Commander. Send them off to work!",
		"Garrison update's in, Commander. Still needs more spikes. Here's the rest:",
	},
	["Tauren"] = {
		"Winds guide you, Commander. Your Garrison needs attention.",
		"May the eternal sun shine upon our armies, Commander.",
		"<moo> Ahem. Your Garrison update, Commander.",
		"Your Garrison's doing well, but it could really use a pasture...",
		"Cowpats in the Garrison? Commander, you know I'd never!"
	},
	["Troll"] = {
		"Boss mon! Here be da news!",
		"Commandah! Stay away from de voodoo! Or is it come get de voodoo? I can't ever remember dese tings.",
		"You got lots to do, boss mon! And I ain't be trolling ya dis time!"
	},
	["Scourge"] = {
		"I hope you have a good reason for interrupting my research, Commander. Your Garrisons toil away as usual, with or without you.",
		"Here I stand, a testament to the glory of the Dark Lady's will, running errands for some half-wit Commander... Oh, sorry, no, that was nothing. Here's your report.",
		"Death to the living! *cough* Uh, I meant, 'Breath of Thanksgiving!' It's a traditional Forsaken blessing, you see.",
	},
	["Pandaren"] = {
		"All this hard work going on is making me hungry, Commander!",
		"I know I said to slow down, Commander - but nap time is over! Your Garrison needs your orders!",
		"A wise Pandaren once said, 'A bird in the Garrison is worth two in the Garden.' I don't know what it means either, but wisdom is mostly about pretending anyway.",
	},
}

AllYourBase.RaceIDs = {
	["Dwarf"] = 3,
	["Draenei"] = 11,
	["Gnome"] = 7,
	["Human"] = 1,
	["NightElf"] = 4,
	["Worgen"] = 22,
	["BloodElf"] = 10,
	["Goblin"] = 9,
	["Orc"] = 2,
	["Tauren"] = 6,
	["Troll"] = 8,
	["Scourge"] = 5,
	["Pandaren"] = 26,
}	


AllYourBase.UpNext = {
["Dwarf"] = "I'm a Dwarf and I'm up next! <PH>",
["Draenei"] = "I'm a Draenei and I'm up next! <PH>",
["Gnome"] = "I'm a Gnome and I'm up next! <PH>",
["Human"] = "I'm a Human and I'm up next! <PH>",
["NightElf"] = "I'm a Night Elf and I'm up next! <PH>",
["Worgen"] = "I'm a Worgen and I'm up next! <PH>",
["BloodElf"] = "I'm a Blood Elf and I'm up next! <PH>",
["Goblin"] = "I'm a Goblin and I'm up next! <PH>",
["Orc"] = "I'm an Orc and I'm up next! <PH>",
["Tauren"] = "I'm a Tauren and I'm up next! <PH>",
["Scourge"] = "I'm a Forsaken and I'm up next! <PH>",
["Pandaren"] = "I'm a Pandaren and I'm up next! <PH>",
["Troll"] = "I'm a Troll and I'm up next! <PH>",
}

AllYourBase.BuildingIDsToNames = {
	[76] = { ["Horde"] = "Alchemy Lab", ["Alliance"] = "Alchemy Lab" },
	[119] = { ["Horde"] = "Alchemy Lab", ["Alliance"] = "Alchemy Lab" },
	[120] = { ["Horde"] = "Alchemy Lab", ["Alliance"] = "Alchemy Lab" },
	[24] = { ["Horde"] = "Barn", ["Alliance"] = "Barn" },
	[25] = { ["Horde"] = "Barn", ["Alliance"] = "Barn" },
	[133] = { ["Horde"] = "Barn", ["Alliance"] = "Barn" },
	[26] = { ["Horde"] = "Barracks", ["Alliance"] = "Barracks" },
	[27] = { ["Horde"] = "Barracks", ["Alliance"] = "Barracks" },
	[28] = { ["Horde"] = "Barracks", ["Alliance"] = "Barracks" },
	[8] = { ["Horde"] = "War Mill", ["Alliance"] = "Dwarven Bunker" },
	[9] = { ["Horde"] = "War Mill", ["Alliance"] = "Dwarven Bunker" },
	[10] = { ["Horde"] = "War Mill", ["Alliance"] = "Dwarven Bunker" },
	[93] = { ["Horde"] = "Enchanter's Study", ["Alliance"] = "Enchanter's Study" },
	[125] = { ["Horde"] = "Enchanter's Study", ["Alliance"] = "Enchanter's Study" },
	[126] = { ["Horde"] = "Enchanter's Study", ["Alliance"] = "Enchanter's Study" },
	[91] = { ["Horde"] = "Engineering Works", ["Alliance"] = "Engineering Works" },
	[123] = { ["Horde"] = "Engineering Works", ["Alliance"] = "Engineering Works" },
	[124] = { ["Horde"] = "Engineering Works", ["Alliance"] = "Engineering Works" },
	[96] = { ["Horde"] = "Gem Boutique", ["Alliance"] = "Gem Boutique" },
	[131] = { ["Horde"] = "Gem Boutique", ["Alliance"] = "Gem Boutique" },
	[132] = { ["Horde"] = "Gem Boutique", ["Alliance"] = "Gem Boutique" },
	[159] = { ["Horde"] = "Gladiator's Sanctum", ["Alliance"] = "Gladiator's Sanctum" },
	[160] = { ["Horde"] = "Gladiator's Sanctum", ["Alliance"] = "Gladiator's Sanctum" },
	[161] = { ["Horde"] = "Gladiator's Sanctum", ["Alliance"] = "Gladiator's Sanctum" },
	[162] = { ["Horde"] = "Goblin Workshop", ["Alliance"] = "Gnomish Gearworks" },
	[163] = { ["Horde"] = "Goblin Workshop", ["Alliance"] = "Gnomish Gearworks" },
	[164] = { ["Horde"] = "Goblin Workshop", ["Alliance"] = "Gnomish Gearworks" },
	[40] = { ["Horde"] = "Lumber Mill", ["Alliance"] = "Lumber Mill" },
	[41] = { ["Horde"] = "Lumber Mill", ["Alliance"] = "Lumber Mill" },
	[138] = { ["Horde"] = "Lumber Mill", ["Alliance"] = "Lumber Mill" },
	[34] = { ["Horde"] = "Frostwall Tavern", ["Alliance"] = "Lunarfall Inn" },
	[35] = { ["Horde"] = "Frostwall Tavern", ["Alliance"] = "Lunarfall Inn" },
	[36] = { ["Horde"] = "Frostwall Tavern", ["Alliance"] = "Lunarfall Inn" },
	[37] = { ["Horde"] = "Spirit Lodge", ["Alliance"] = "Mage Tower" },
	[38] = { ["Horde"] = "Spirit Lodge", ["Alliance"] = "Mage Tower" },
	[39] = { ["Horde"] = "Spirit Lodge", ["Alliance"] = "Mage Tower" },
	[52] = { ["Horde"] = "Salvage Yard", ["Alliance"] = "Salvage Yard" },
	[140] = { ["Horde"] = "Salvage Yard", ["Alliance"] = "Salvage Yard" },
	[141] = { ["Horde"] = "Salvage Yard", ["Alliance"] = "Salvage Yard" },
	[95] = { ["Horde"] = "Scribe's Quarters", ["Alliance"] = "Scribe's Quarters" },
	[129] = { ["Horde"] = "Scribe's Quarters", ["Alliance"] = "Scribe's Quarters" },
	[130] = { ["Horde"] = "Scribe's Quarters", ["Alliance"] = "Scribe's Quarters" },
	[65] = { ["Horde"] = "Stables", ["Alliance"] = "Stables" },
	[66] = { ["Horde"] = "Stables", ["Alliance"] = "Stables" },
	[67] = { ["Horde"] = "Stables", ["Alliance"] = "Stables" },
	[51] = { ["Horde"] = "Storehouse", ["Alliance"] = "Storehouse" },
	[142] = { ["Horde"] = "Storehouse", ["Alliance"] = "Storehouse" },
	[143] = { ["Horde"] = "Storehouse", ["Alliance"] = "Storehouse" },
	[94] = { ["Horde"] = "Tailoring Emporium", ["Alliance"] = "Tailoring Emporium" },
	[127] = { ["Horde"] = "Tailoring Emporium", ["Alliance"] = "Tailoring Emporium" },
	[128] = { ["Horde"] = "Tailoring Emporium", ["Alliance"] = "Tailoring Emporium" },
	[60] = { ["Horde"] = "The Forge", ["Alliance"] = "The Forge" },
	[117] = { ["Horde"] = "The Forge", ["Alliance"] = "The Forge" },
	[118] = { ["Horde"] = "The Forge", ["Alliance"] = "The Forge" },
	[90] = { ["Horde"] = "The Tannery", ["Alliance"] = "The Tannery" },
	[121] = { ["Horde"] = "The Tannery", ["Alliance"] = "The Tannery" },
	[122] = { ["Horde"] = "The Tannery", ["Alliance"] = "The Tannery" },
	[111] = { ["Horde"] = "Trading Post", ["Alliance"] = "Trading Post" },
	[144] = { ["Horde"] = "Trading Post", ["Alliance"] = "Trading Post" },
	[145] = { ["Horde"] = "Trading Post", ["Alliance"] = "Trading Post" },
	[64] = { ["Horde"] = "Fishing Shack", ["Alliance"] = "Fishing Shack" },
	[134] = { ["Horde"] = "Fishing Shack", ["Alliance"] = "Fishing Shack" },
	[135] = { ["Horde"] = "Fishing Shack", ["Alliance"] = "Fishing Shack" },
	[29] = { ["Horde"] = "Herb Garden", ["Alliance"] = "Herb Garden" },
	[136] = { ["Horde"] = "Herb Garden", ["Alliance"] = "Herb Garden" },
	[137] = { ["Horde"] = "Herb Garden", ["Alliance"] = "Herb Garden" },
	[61] = { ["Horde"] = "Frostwall Mines", ["Alliance"] = "Lunarfall Excavation" },
	[62] = { ["Horde"] = "Frostwall Mines", ["Alliance"] = "Lunarfall Excavation" },
	[63] = { ["Horde"] = "Frostwall Mines", ["Alliance"] = "Lunarfall Excavation" },
	[42] = { ["Horde"] = "Menagerie", ["Alliance"] = "Menagerie" },
	[167] = { ["Horde"] = "Menagerie", ["Alliance"] = "Menagerie" },
	[168] = { ["Horde"] = "Menagerie", ["Alliance"] = "Menagerie" },
}

AllYourBase.InventorySlots = {

	1,
	3,
	5,
	6,
	7,
	8,
	9,
	10,
	15,

 }
 
 AllYourBase.SettingsMap = {
	
	{["key"] = "displayReportAtLogin", ["desc"] = "Display a Status Report automatically after logging into the game."},
	{["key"] = "doNotNotifyDuringBattle", ["desc"] = "Prevent All Your Base notifications during battle."},
	{["key"] = "includeMissionsInStatus", ["desc"] = "Include your currently completed Mission counts during a Status Report."},
	{["key"] = "includeBuildingsInStatus", ["desc"] = "Include your currently completed Building counts during a Status Report."},
	{["key"] = "includeShipmentsInStatus", ["desc"] = "Include your currently inactive Work Order queues during a Status Report."},
	{["key"] = "scanForMissions", ["desc"] = "Get notifications for Missions your other characters have completed."},
	{["key"] = "scanForBuildings", ["desc"] = "Get notifications for Buildings your other characters have completed."},
	{["key"] = "scanForShipments", ["desc"] = "Get notifications for Work Order queues your other characters have completed."},
	{["key"] = "scanForResources", ["desc"] = "Get notifications for Garrison Caches that exceed the limit you set below."},
	{["key"] = "notifyOnQueueUpdate", ["desc"] = "Print a notification of when All Your Base has finished updating after you start a work order."},
	{["key"] = "debugMode", ["desc"] = "Enable debug messages."},
 }